﻿@model Tuple<List<ARGNSPSlipPackageView>, List<ARGNSPSlipPackageTypeView>, int>

<table class="table" style="background-color:#fff;">
    <thead>
        <tr>
            <th width="2%" align="center">&nbsp;</th>
            <th width="4%" align="center">#</th>
            <th width="21%">@Shipment.PN</th>
            <th width="24%">@Shipment.Type</th>
            <th width="24%">@Shipment.TW</th>
            <th width="25%">@Shipment.Units</th>
        </tr>
    </thead>
    <tbody style="height:100px; overflow-y:scroll;">
        @foreach (ARGNSPSlipPackageView mPackage in Model.Item1)
        {
            <tr class="">
                <td align="center"><input type="radio" name="packageRadio" value="@mPackage.U_PackageNum" onclick="LoadPSlipModalPackageItems(@mPackage.U_CntnerNum,@mPackage.U_PackageNum)"></td>
                <td>@mPackage.U_PackageNum</td>
                <td>@mPackage.U_PackageNum</td>
                <td>
                    @Html.DropDownList(mPackage.U_PackageTyp, new SelectList(
                    Model.Item2,
                    "PkgType",
                    "PkgType", mPackage.U_PackageTyp), new { @Id = "U_PackageTyp", @Name = "U_PackageTyp", @class = "form-control" })
            </td>
            <td>@mPackage.U_Weight</td>
            <td>@mPackage.U_WeightUnit</td>
        </tr>
        }
    </tbody>
</table>

@Html.HiddenFor(c => c.Item3, new { @Id = "U_PSlipContainerNum", @Name = "U_PSlipContainerNum" })

<button type="button" class="btn btn-lg btn-primary" onclick="AddPSlipPackage();">
    @Shipment.AP
</button>
